Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclFileCache Class Reference
[OSCL IO]

`#include <oscl_file_cache.h>`

Inheritance diagram for OsclFileCache:

## Public Methods
| OsclFileCache (Oscl_File &aContainer)
| ~OsclFileCache ()
int32 | Open (uint32 mode, uint32 cache_size)
void | Close ()
uint32 | Read (void *outputBuffer, uint32 size, uint32 numelements)
uint32 | Write (const void *inputBuffer, uint32 size, uint32 numelements)
TOsclFileOffset | FileSize ()
int32 | Seek (TOsclFileOffset offset, Oscl_File::seek_type origin)
TOsclFileOffset | Tell ()
int32 | Flush ()
int32 | EndOfFile ()
OSCL_IMPORT_REF OsclFileCacheBuffer * | AddFixedCache (const Oscl_File::OsclFixedCacheParam &)
## Data Fields
OsclFileCacheBuffer | _movableCache
Oscl_Vector< OsclFileCacheBuffer, OsclMemAllocator > | _fixedCaches
## Friends
class | OsclFileCacheBuffer

## Constructor & Destructor Documentation

OsclFileCache::OsclFileCache | ( | Oscl_File & | aContainer | ) |

OsclFileCache::~OsclFileCache | ( |  | ) |

## Member Function Documentation

OSCL_IMPORT_REF OsclFileCacheBuffer* OsclFileCache::AddFixedCache | ( | const Oscl_File::OsclFixedCacheParam & |  | ) |

void OsclFileCache::Close | ( |  | ) |

int32 OsclFileCache::EndOfFile | ( |  | ) | `[inline]`

TOsclFileOffset OsclFileCache::FileSize | ( |  | ) | `[inline]`

int32 OsclFileCache::Flush | ( |  | ) |

int32 OsclFileCache::Open | ( | uint32 | mode,
|  | uint32 | cache_size
| ) |

uint32 OsclFileCache::Read | ( | void * | outputBuffer,
|  | uint32 | size,
|  | uint32 | numelements
| ) |

int32 OsclFileCache::Seek | ( | TOsclFileOffset | offset,
|  | Oscl_File::seek_type | origin
| ) |

TOsclFileOffset OsclFileCache::Tell | ( |  | ) | `[inline]`

uint32 OsclFileCache::Write | ( | const void * | inputBuffer,
|  | uint32 | size,
|  | uint32 | numelements
| ) |

## Friends And Related Function Documentation

friend class OsclFileCacheBuffer`[friend]`

## Field Documentation

Oscl_Vector<OsclFileCacheBuffer, OsclMemAllocator> OsclFileCache::_fixedCaches

OsclFileCacheBuffer OsclFileCache::_movableCache

The documentation for this class was generated from the following file:

- oscl_file_cache.h